# Wordle-de ein wordle Nachbau in C++

## Voraussetzungen

### Ubuntu

#### CMake installieren
```
sudo apt update && sudo apt install cmake
```

#### Bibliotheken installieren (Protobuf und Botan)
``` bash
sudo apt update && sudo apt install libbotan-2-dev protobuf-codegen protobuf-compiler
```

## Kompilieren mit CodeBlocks

### Cmake konfigurieren

Im Terminal, im Verzeichnis wordle-de, folgenden Befehl ausführen:
```
cmake -B build -G"CodeBlocks - Unix Makefiles"
```
Anschließend kann das CodeBlocks Projekt unter `build/wordle-de.cbp` geöffnet werden.
Von hier aus können die Applikationen in CodeBlocks bearbeitet und kompiliert werden.
Die beiden Applikationen `wordle-de_server` und `wordle-de_client` können per Terminal (nicht aus CodeBlocks heraus) gestartet werden:
`./build/wordle-de_server`
`./build/wordle-de_client`

## Kompilieren ohne CodeBlocks

### Configure
`cmake -B build -S . -G "Ninja Multi-Config"`

### Build
`cmake --build build [--config Debug|Release]`
