# Spezifikation für das Projekt "Wordle" in C im Rahmen des Moduls Netzwerkprogrammierung

## Funktionsbeschreibung
Es soll das bekannte Spiel "[wordle](https://www.nytimes.com/games/wordle/index.html)" nachprogrammiert werden. Die Anwendung besteht aus einer Server und einer Client Applikation. Client und Server kommunizieren über eine TCP/IP Verbindung mit einem eigenen Protokoll.
Es gibt die Möglichkeit mit einem eigenen Namen anzumelden und so seinen Spielstand zu speichern. Außerdem wird nach jedem Spiel eine Statistik der bisherigen Versuche und ein Vergleich mit anderen Spielern angezeigt.

## Spielbeschreibung
- der/die SpielerIn hat 5 Versuche ein Wort zu erraten
- das Wort besteht aus 5 Zeichen und besitzt keine Zeichen, die doppelt vorkommen
- rät der Spieler ein Wort, wird ihm angezeigt, ob die geratenen Buchstaben im Wort vorkommen und an der richtigen Stelle sind
- jedes Wort, das geraten wird, muss ein "richtiges" Wort sein, es dürfen also keine Phantasiewörter oder unzusammenhängende Buchstaben geraten werden

## Rollenverteilung

### Server
- wählt Wort aus
- prüft, ob geratenes Wort korrekt ist
- meldet zurück, welche Buchstaben richtig geraten oder an der richtigen Stelle sind
- speichert Spielstände pro Benutzer

### Client
- nimmt Benutzereingaben entgegen
- verschickt Benutzereingaben an Server
- updated sich 

### Protokoll
Es wird immer der gesamte Spielstatus übertragen, da es nur wenige Daten sind und so kein State im Client gehalten werden muss.
